PETSc version 3.15.5
Fix/Edit manual page

# PetscSubcommSetType

Set type of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetType(PetscSubcomm psubcomm,PetscSubcommType subcommtype)

Collective

### Input Parameter

| psubcomm | - PetscSubcomm context
| subcommtype | - subcommunicator type, PETSC_SUBCOMM_CONTIGUOUS,PETSC_SUBCOMM_INTERLACED

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetNumber(),PetscSubcommSetTypeGeneral(), PetscSubcommType

### Level

advanced

### Location

src/sys/objects/subcomm.c

### Examples

src/ksp/ksp/tutorials/ex73.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages